summaryrefslogtreecommitdiff
path: root/dev-python/tox
diff options
context:
space:
mode:
authorroot <root@alpha.trunkmasters.com>2026-06-26 03:04:32 -0500
committerroot <root@alpha.trunkmasters.com>2026-06-26 03:04:32 -0500
commit8a7e9bb6193b9b54ffb149bdf92c9689a3798e00 (patch)
treea65a4cafeec5fa345fbaad47d0c3892cbb3bd183 /dev-python/tox
parenta2d754850b88dddfc90152e4eaf858d6907b5201 (diff)
downloadbaldeagleos-repo-8a7e9bb6193b9b54ffb149bdf92c9689a3798e00.tar.gz
baldeagleos-repo-8a7e9bb6193b9b54ffb149bdf92c9689a3798e00.tar.xz
baldeagleos-repo-8a7e9bb6193b9b54ffb149bdf92c9689a3798e00.zip
Adding metadata
Diffstat (limited to 'dev-python/tox')
-rw-r--r--dev-python/tox/Manifest2
-rw-r--r--dev-python/tox/tox-4.56.1.ebuild80
2 files changed, 82 insertions, 0 deletions
diff --git a/dev-python/tox/Manifest b/dev-python/tox/Manifest
index 79b1f26c0b8b..4a94ee4e0818 100644
--- a/dev-python/tox/Manifest
+++ b/dev-python/tox/Manifest
@@ -4,3 +4,5 @@ DIST tox-4.55.1.tar.gz 280676 BLAKE2B ccbf018634d708ba00710ea1c15fa1328acf402f02
DIST tox-4.55.1.tar.gz.provenance 9530 BLAKE2B 6a8de7003c54e6c388154619fc5900bd968e72862267615f67157e4b4c1294cd1d70dfcb02189788bb415ef84e07775acf08c38fa66113f850c78b00a28f2b68 SHA512 c8773255b47b7078b80c179dff30b0a51a1ec3e0b2576377c377aec87fefa74383e14e4a9c19a067b9eadd45e8611e6d0c2eddbd60b774ac91fbb62abf803e56
DIST tox-4.56.0.tar.gz 282319 BLAKE2B 249d44656daa4ff9e75fed48765f83367572dc69faa27890b1dbad817baa2e6a7e5d3f2d1dd20856023d86e81e96343ae32db96453d8699de731c6739460c67d SHA512 f7f81161f85986e20c05d96de4555cf7349792383bc4bf9800d43c5ca7642a0395cce61b9d9d07c91c70331f40f725ca9167cbc83409da9baf8e90b9b736fd2c
DIST tox-4.56.0.tar.gz.provenance 9624 BLAKE2B 5ae867da302c83d469372412a849a6f6d68b87832a9f8e31ddb6822763308051dc698c9987c1344cc938685da127da5302b421f0d9c701d81915325461eee03e SHA512 9f5ba8f0f48b2ede83366f6cffd015a5a6ac68a8d3fe4863cd495b0a5abcf1710e5e86d4ca871b8ecc976bd81e261121e292e97eee11d41c9e7b20a84f415362
+DIST tox-4.56.1.tar.gz 283155 BLAKE2B 069d9d91af3d667a4eb52cea7b7aa74fde60504d5894a327b33090881646d314536fe7a48febb5474a2d2ed21d6125bce80862be5150956aa8204666907043fd SHA512 ca5f785d54977e291f06094e00dbce99e75c56c0678aa62b3007f690376810d2ce0074f34996e49bd976e405d5b1d9e3404802d59a00bb98084cbf1de369f28a
+DIST tox-4.56.1.tar.gz.provenance 9765 BLAKE2B 82bb31e94025f83f587457cb6215b7177c82172d86f2e6513dd3e5042eda921fb532ee6f88e2adf8cb29ee53af0d1de31986d3590ed9b9f906390e72e85cead1 SHA512 7d9a39c7a78e7947a15caec9528fda34ccb9e8652d3d5b62e66d302c9e00179d2f90ccf8de44253373133cb48e4d2516abf618f71f9f60e89a8a26ce7cb179ee
diff --git a/dev-python/tox/tox-4.56.1.ebuild b/dev-python/tox/tox-4.56.1.ebuild
new file mode 100644
index 000000000000..23fd6cf278e6
--- /dev/null
+++ b/dev-python/tox/tox-4.56.1.ebuild
@@ -0,0 +1,80 @@
+# Copyright 1999-2026 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=hatchling
+PYPI_VERIFY_REPO=https://github.com/tox-dev/tox
+PYTHON_COMPAT=( python3_{13..14} )
+
+inherit distutils-r1 pypi
+
+DESCRIPTION="virtualenv-based automation of test activities"
+HOMEPAGE="
+ https://tox.readthedocs.io/
+ https://github.com/tox-dev/tox/
+ https://pypi.org/project/tox/
+"
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~m68k ~ppc ~ppc64 ~riscv ~s390 ~x86"
+
+RDEPEND="
+ dev-python/cachetools[${PYTHON_USEDEP}]
+ dev-python/colorama[${PYTHON_USEDEP}]
+ dev-python/filelock[${PYTHON_USEDEP}]
+ dev-python/packaging[${PYTHON_USEDEP}]
+ dev-python/platformdirs[${PYTHON_USEDEP}]
+ dev-python/pluggy[${PYTHON_USEDEP}]
+ dev-python/pyproject-api[${PYTHON_USEDEP}]
+ dev-python/python-discovery[${PYTHON_USEDEP}]
+ dev-python/tomli-w[${PYTHON_USEDEP}]
+ dev-python/virtualenv[${PYTHON_USEDEP}]
+"
+BDEPEND="
+ dev-python/docutils[${PYTHON_USEDEP}]
+ dev-python/hatch-vcs[${PYTHON_USEDEP}]
+ test? (
+ dev-python/argcomplete[${PYTHON_USEDEP}]
+ dev-python/build[${PYTHON_USEDEP}]
+ dev-python/distlib[${PYTHON_USEDEP}]
+ dev-python/psutil[${PYTHON_USEDEP}]
+ dev-python/re-assert[${PYTHON_USEDEP}]
+ )
+"
+
+EPYTEST_PLUGINS=( pytest-{mock,rerunfailures,timeout,xdist} time-machine )
+# upstream timeouts are quite short
+: ${EPYTEST_TIMEOUT:=180}
+# xdist seems to mess up state between successive implementation runs
+distutils_enable_tests pytest
+
+src_prepare() {
+ # upstream lower bounds are meaningless
+ sed -i -e 's:>=[0-9.]*::' pyproject.toml || die
+ distutils-r1_src_prepare
+}
+
+python_test() {
+ # devpi_process is not packaged, and has lots of dependencies
+ cat > "${T}"/devpi_process.py <<-EOF || die
+ def IndexServer(*args, **kwargs): raise NotImplementedError()
+ EOF
+
+ local -x PYTHONPATH=${T}:${PYTHONPATH}
+ local EPYTEST_DESELECT=(
+ # Internet
+ tests/tox_env/python/virtual_env/package/test_package_cmd_builder.py::test_build_wheel_external
+ tests/tox_env/python/virtual_env/package/test_package_cmd_builder.py::test_run_installpkg_targz
+ tests/tox_env/python/virtual_env/package/test_package_pyproject.py::test_pyproject_installpkg_pep517_envs
+ # require tombi
+ tests/session/cmd/test_schema.py::test_schema_tombi_lint
+ )
+ local EPYTEST_IGNORE=(
+ # requires devpi*
+ tests/test_provision.py
+ )
+
+ epytest -o addopts=
+}